Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.control.broker
Annotation Type MessageBroker.StaticSubscription

    @Retention(value=RUNTIME)
    public static @interface MessageBroker.StaticSubscription

Specifies the subscription parameters for a business process that is started as the result of receiving a message from a Message Broker channel to which the process is subscribed.

Required Element Summary
`String` | `channelName` The name of the Message Broker channel to which the business process subscribes

Optional Element Summary
`String` | `filterValueMatch` The value of the filter-value-match attribute is compared against the results of the xquery This value is required if 'xquery' is specified
`String` | `messageBody` This attribute maps a named parameter in the xquery to the XML body of an incoming message
`String` | `messageMetaData` This attribute maps a named parameter in the xquery to the SOAP headers of an incoming message
`boolean` | `suppressible` Setting suppressible to true specifies that the static subscription is suppressed in favor of dynamic subscriptions.
`String` | `xquery` Specifies the xquery to use for filtering

Element Detail

### channelName

    public abstract String channelName

  The name of the Message Broker channel to which the business process subscribes

### xquery

    public abstract String xquery

  Specifies the xquery to use for filtering

  Default:
    ""

### filterValueMatch

    public abstract String filterValueMatch

  The value of the filter-value-match attribute is compared against the results of the xquery This value is required if 'xquery' is specified

  Default:
    ""

### messageMetaData

    public abstract String messageMetaData

  This attribute maps a named parameter in the xquery to the SOAP headers of an incoming message

  Default:
    ""

### messageBody

    public abstract String messageBody

  This attribute maps a named parameter in the xquery to the XML body of an incoming message

  Default:
    ""

### suppressible

    public abstract boolean suppressible

  Setting suppressible to true specifies that the static subscription is suppressed in favor of dynamic subscriptions.

  Default:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT